Bug 836704 - mscore unable to play score's music
mscore unable to play score's music
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mscore (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On: 827655
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 00:48 EDT by lyann
Modified: 2013-08-01 02:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:08:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lyann 2012-06-30 00:48:03 EDT
Description of problem:

When I use musescore aka mscore it's impossible to play a score in this software. The default's score or another.

erminal give me:

[yann@localhost ~]$ mscore
ALSA lib seq_hw.c:457:(snd_seq_hw_open) open /dev/snd/seq failed: Permission non accordée
init ALSA driver failed
init audio driver failed
sequencer init failed
registerPlugin: add action idx 5
Load plugin: no menu property
preferences.checkUpdateStartup: 24
lastupdate: 30.06.2012 06:29:16.771

So I try to launch mscore in root to allow alsa to be used and it's working but the strangest it's that it's working on my user after but if i reboot i have to repeat the operation since the begining

in root :

[root@localhost ~]# mscore
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
jack_client_new: deprecated
Cannot connect to server socket err = Aucun fichier ou dossier de ce type
Cannot connect to server socket
jack server is not running or cannot be started
jack_client_new: deprecated
Cannot connect to server socket err = Aucun fichier ou dossier de ce type
Cannot connect to server socket
jack server is not running or cannot be started
ALSA lib pcm_dmix.c:957:(snd_pcm_dmix_open) The dmix plugin supports only playback stream
Cannot connect to server socket err = Aucun fichier ou dossier de ce type
Cannot connect to server socket
jack server is not running or cannot be started
loaded the Generic plugin 
registerPlugin: add action idx 5
Load plugin: no menu property
preferences.checkUpdateStartup: 168

after root's launch with my user :

[yann@localhost ~]$ mscore
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
jack_client_new: deprecated
Cannot connect to server socket err = Aucun fichier ou dossier de ce type
Cannot connect to server socket
jack server is not running or cannot be started
jack_client_new: deprecated
Cannot connect to server socket err = Aucun fichier ou dossier de ce type
Cannot connect to server socket
jack server is not running or cannot be started
ALSA lib pcm_dmix.c:957:(snd_pcm_dmix_open) The dmix plugin supports only playback stream
Cannot connect to server socket err = Aucun fichier ou dossier de ce type
Cannot connect to server socket
jack server is not running or cannot be started
loaded the Generic plugin 
registerPlugin: add action idx 5
Load plugin: no menu property
preferences.checkUpdateStartup: 24
lastupdate: 30.06.2012 06:31:44.205

This is when everything works fine. If I try to change the default's config options that change nothing. I try to use alsa and select only jack and portaudio in "E/S" option tab without any result

Version-Release number of selected component (if applicable):
1.2 in f17 up to date

How reproducible:
You just have to reboot and try to play a score

Steps to Reproduce:
1.Launch mscore
2. create a score or import one
3.try to use mscore to play the score
  
Actual results:
 That's doesn't work the synthetisor option and the play button are gray and can't be used

Expected results:

To be able to play the score's music. I can make test if you want.

Additional info:
Comment 1 lyann 2012-06-30 00:50:34 EDT
My system is up to date and the problem seems to be a permission problem with some alsa files
Comment 2 Orcan Ogetbil 2012-07-05 22:29:18 EDT
This is a problem with device node permissions for which we do not have a fix yet. As a workaround, you can do as root
   # chmod 666 /dev/snd/seq
before you launch mscore as normal user
Comment 3 lyann 2012-08-11 20:58:44 EDT
OK, I have find another temporary solution, as root you can do :

usermod -a -G audio YOURUSERNAME

This solution persist after rebooting
Comment 4 Fedora End Of Life 2013-07-03 21:33:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 02:08:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.